java.rmi

## Class RMISecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - java.rmi.RMISecurityManager

    public class RMISecurityManager
    extends SecurityManager

A subclass of `SecurityManager` used by RMI applications that use downloaded code. RMI's class loader will not download any classes from remote locations if no security manager has been set. `RMISecurityManager` does not apply to applets, which run under the protection of their browser's security manager. `RMISecurityManager` implements a policy that is no different than the policy implemented by `SecurityManager`. Therefore an RMI application should use the `SecurityManager` class or another application-specific `SecurityManager` implementation instead of this class.

To use a `SecurityManager` in your application, add the following statement to your code (it needs to be executed before RMI can download code from remote hosts, so it most likely needs to appear in the `main` method of your application):

     System.setSecurityManager(new SecurityManager());

Since:
  JDK1.1

### Field Summary

### Fields inherited from class java.lang.SecurityManager

`inCheck`

### Constructor Summary

Constructors
Constructor and Description
`RMISecurityManager()` Constructs a new `RMISecurityManager`.

### Method Summary

### Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RMISecurityManager

    public RMISecurityManager()

Constructs a new `RMISecurityManager`.

Since:
  JDK1.1

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.